Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 459892 - Review Request: rubygem-mocha - Mocking and stubbing library
Summary: Review Request: rubygem-mocha - Mocking and stubbing library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 507649 (view as bug list)
Depends On:
Blocks: 593274
TreeView+ depends on / blocked
 
Reported: 2008-08-23 20:42 UTC by Jeroen van Meeuwen
Modified: 2010-10-11 09:41 UTC (History)
7 users (show)

Fixed In Version: rubygem-mocha-0.9.8-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-27 21:32:16 UTC
kevin: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2008-08-23 20:42:17 UTC
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-mocha-0.9.0-1.fc10.src.rpm
Description: Mocking and stubbing library with JMock/SchMock syntax, which allows mocking and stubbing of methods on real (non-mock) classes.

rpmlint is silent

koji scratch builds:

- f8: http://koji.fedoraproject.org/koji/taskinfo?taskID=781771
- f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=781773
- f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=781775

Comment 1 Jeroen van Meeuwen 2008-09-08 14:51:39 UTC
Added ruby(abi) = 1.8 Requires;

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/rubygem-mocha-0.9.0-2.fc10.src.rpm

Comment 2 S.A. Hartsuiker 2008-10-22 22:09:39 UTC
RPM Lint: quiet
Package name: ok
Spec file: ok
License: wrong
Actual License: Dual license Ruby and MIT
%doc License: n/a
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok (md5: 214b9e794a3d0b71d63f0d26a500e00e)
Compile and Build:
 - F-8: ok
 - F-9: ok
 - F-10: ok
 - rawhide: ok 
 - EL-5: n/a

Applicable Package Guidelines: ok

Locales: n/a
Shared libs: n/a

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: n/a
%doc affecting runtime: ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files: n/a
Devel requires base package: n/a
.la libtool archives: n/a
Duplicate ownership of files/directories: ok
Remove BuildRoot: ok
UTF-8 filenames: ok

the MIT-LICENSE file is not marked as %doc
The spec file in the above post from Jeroen is not the same as the spec used in building the srpm...

Comment 3 Jeroen van Meeuwen 2008-10-25 11:17:16 UTC
Oh, you're right.. the spec file should have been 0.9.0-2...

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
New SRPM: http://www.kanarip.com/custom/f9/SRPMS/rubygem-mocha-0.9.1-1.fc9.src.rpm

Comment 4 S.A. Hartsuiker 2008-10-25 23:07:14 UTC
License tag is wrong. I should be Dual license Ruby/MIT
%doc tag is fixed

Comment 6 S.A. Hartsuiker 2008-10-26 00:34:30 UTC
ok, license also fixed. Package APPROVED.

Comment 7 Jeroen van Meeuwen 2008-10-26 00:51:46 UTC
New Package CVS Request
=======================
Package Name: rubygem-mocha
Short Description: Mocking and stubbing library
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:

Comment 8 Mamoru TASAKA 2008-10-26 17:30:40 UTC
Why do you create gem by "rake package" instead of using gem file
provided by upstream?

Comment 9 Jeroen van Meeuwen 2008-10-26 17:53:02 UTC
I prefer using tarballs because they make the %doc available directly as

%doc README etcetera

which are then being put in /usr/share/doc/%{name}-%{version}/, rather then putting the docs in some obscure %{geminstdir} (which should hold the program, not the docs) or %{gemdir}/doc/ (which should have RDoc documentation, not READMEs)

Comment 10 Kevin Fenzi 2008-10-29 21:22:21 UTC
This seems to fail at least: 

"The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version " 

Can you please re-check against: 
https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems

Comment 11 Jeroen van Meeuwen 2008-10-30 09:32:58 UTC
Revised packaging strategy as far as that is concerned:

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
New SRPM: http://www.kanarip.com/custom/f9/SRPMS/rubygem-mocha-0.9.1-3.fc9.src.rpm

Comment 12 Mamoru TASAKA 2008-11-02 07:08:04 UTC
Well, would you check if all files under %geminstdir
are really needed at any time for this package?

IMO the files under %geminstdir/examples, %geminstdir/tests/
(and also these directories themselves) can be marked as %doc.
Also %geminstdir/[A-Z]* should be marked as %doc.

Comment 13 Jeroen van Meeuwen 2009-02-01 01:53:55 UTC
Marked these files as %doc

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/rubygem-mocha-0.9.1-4.fc10.src.rpm

Comment 14 Kevin Fenzi 2009-03-29 01:31:19 UTC
Oh shoot. I probibly dropped the ball here. Thanks for updating the bug Mamoru. 

S.A: Would you like to re-review the package from comment #13? 
I think my concerns are fixed... if you prefer, I could give it a full review as well.

Comment 15 Jeroen van Meeuwen 2009-04-05 01:46:10 UTC
Kevin, I'd appreciate if you take over the review; Stefan isn't going to any time soon I suspect

Comment 16 Kevin Fenzi 2009-04-27 02:30:01 UTC
Sorry for the long delay here. 

- 0.9.5 is current now. :) 

- There are a bunch of 'warning: File listed twice...' messages, due to listing some files twice in the %files section, can you fix that up?

Comment 17 Jeroen van Meeuwen 2009-04-27 08:35:03 UTC
(In reply to comment #16)
> Sorry for the long delay here. 
> 
> - 0.9.5 is current now. :) 
> 

"Fixed" ;-)

> - There are a bunch of 'warning: File listed twice...' messages, due to listing
> some files twice in the %files section, can you fix that up?  

Fixed too.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-mocha.spec
New SRPM: http://www.kanarip.com/custom/f11/SRPMS/rubygem-mocha-0.9.5-1.fc11.src.rpm

Comment 18 Kevin Fenzi 2009-04-27 16:15:17 UTC
I see no further blockers here, this package is APPROVED.

Comment 19 Kevin Fenzi 2009-05-11 06:36:51 UTC
Care to request cvs here?

Comment 20 Mamoru TASAKA 2009-06-14 16:52:10 UTC
Jeroen, ping?

Comment 21 Mamoru TASAKA 2009-06-23 16:01:18 UTC
Well, I will once want to close this review request and
I want to take over this package. Jeroen, if you want to
co-maintain this package, please visit the new review request
I will submit.

Comment 22 Mamoru TASAKA 2009-06-23 16:07:41 UTC

*** This bug has been marked as a duplicate of bug 507649 ***

Comment 23 Jeroen van Meeuwen 2009-06-24 12:55:52 UTC
New Package CVS Request
=======================
Package Name: rubygem-mocha
Short Description: Mocking and stubbing library
Owners: kanarip
Branches: EL-4 EL-5 F-10 F-11 devel
InitialCC:

Comment 24 Jeroen van Meeuwen 2009-06-24 12:56:02 UTC
*** Bug 507649 has been marked as a duplicate of this bug. ***

Comment 25 Kevin Fenzi 2009-06-24 18:17:29 UTC
Can you guys work out which of these are going to be used and who is going to maintain?

Comment 26 Mamoru TASAKA 2009-06-26 14:22:13 UTC
So, Jeroen, if you want to be the maintainer of this package,
I will be happy with it. Please set cvs flag again.

Comment 27 Jeroen van Meeuwen 2009-06-29 11:11:25 UTC
(In reply to comment #26)
> So, Jeroen, if you want to be the maintainer of this package,
> I will be happy with it. Please set cvs flag again.  

Thanks Mamoru, and sorry for the delay.

New Package CVS Request
=======================
Package Name: rubygem-mocha
Short Description: Mocking and stubbing library
Owners: kanarip
Branches: EL-4 EL-5 F-10 F-11 devel
InitialCC:

Comment 28 Jason Tibbitts 2009-06-29 17:07:06 UTC
CVS done.

Comment 29 Mamoru TASAKA 2009-07-15 18:28:11 UTC
Would you rebuild this on koji?
By the way the current version is 0.9.7.

Comment 30 Mamoru TASAKA 2009-07-22 16:51:43 UTC
ping?

Comment 31 Jeroen van Meeuwen 2009-07-23 13:45:26 UTC
building now, 0.9.7

Comment 32 Fedora Update System 2009-07-26 10:49:23 UTC
rubygem-mocha-0.9.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-mocha-0.9.7-1.fc11

Comment 33 Fedora Update System 2009-07-26 10:49:30 UTC
rubygem-mocha-0.9.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-mocha-0.9.7-1.fc10

Comment 34 Fedora Update System 2009-07-27 21:32:10 UTC
rubygem-mocha-0.9.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2009-07-27 21:38:00 UTC
rubygem-mocha-0.9.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Michal Fojtik 2010-05-21 10:11:22 UTC
Could you please build package also for EL-5 ?

Comment 37 Fedora Update System 2010-05-21 10:51:05 UTC
rubygem-mocha-0.9.7-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-mocha-0.9.7-1.el5

Comment 38 Fedora Update System 2010-09-08 20:52:11 UTC
rubygem-mocha-0.9.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-mocha-0.9.8-1.fc13

Comment 39 Fedora Update System 2010-09-08 20:52:20 UTC
rubygem-mocha-0.9.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-mocha-0.9.8-1.fc14

Comment 40 Fedora Update System 2010-09-08 20:52:28 UTC
rubygem-mocha-0.9.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rubygem-mocha-0.9.8-1.el5

Comment 41 Fedora Update System 2010-09-17 18:21:37 UTC
rubygem-mocha-0.9.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2010-09-23 12:35:52 UTC
rubygem-mocha-0.9.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2010-09-24 17:38:53 UTC
rubygem-mocha-0.9.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 Michal Fojtik 2010-10-11 09:27:15 UTC
Could you please build package also for F-12 ?

Comment 45 Mamoru TASAKA 2010-10-11 09:38:57 UTC
F-12 should be okay (unless you need 0.9.8)

$ koji latest-pkg dist-f12-build rubygem-mocha
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
rubygem-mocha-0.9.7-2.fc12                dist-f12              jkeating

Comment 46 Mamoru TASAKA 2010-10-11 09:41:48 UTC
... and it seems you need 0.9.8 on F-12.


Note You need to log in before you can comment on or make changes to this bug.